## org.apache.mahout.math.function
Class TimesFunction

    java.lang.Object
      org.apache.mahout.math.function.TimesFunction

All Implemented Interfaces:
  BinaryFunction, DoubleDoubleFunction

    public class TimesFunction

extends java.lang.Object
implements BinaryFunction

Constructor Summary
`TimesFunction()`

Method Summary
`double` `apply(double x, double y)` Computes the product of two numbers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimesFunction

    public TimesFunction()

Method Detail

### apply

    public double apply(double x,
                        double y)

  Computes the product of two numbers.

  Specified by:
    `apply` in interface `DoubleDoubleFunction`
  Parameters:
    `x` - first argument
    `y` - second argument
  Returns:
    the product

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.